%define src_ver		1.0
%define languagelocal	francais
%define languageeng	french
%define languagecode	fr

Summary: 	French files for ispell
Summary(fr):	Dictionnaire français pour ispell
Name: 		ispell-%{languagecode} 
Version: 	1.0
Release: 	14mdk
URL: 		http://www.unil.ch/ling/cp/frgut.html
Source:		http://www.unil.ch/ling/cp/Francais-GUTenberg-v%{src_ver}.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov:	no

Requires:	locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides:	ispell-dictionary = 3.2.06
BuildRequires:	ispell

Obsoletes:	ispell-francais-IREQ, ispell-french, ispell-francais
Obsoletes:	ifrench

%description
ispell-fr is spelling data in French to be used by ispell program.
With this extension, you can compose a document in French and check
for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%description -l fr
Ceci est le dictionnaire français pour le correcteur
orthographique interactif de GNU ispell.

%prep

%setup -n Francais-GUTenberg-v%{src_ver}
# answer "oui" (yes) 10 times.
echo -e "o\no\no\no\no\no\no\no\no\no\n" | ./makehash 
mv -f francais.dico %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc ALIRE HISTORIQUE docs/*.* utils
%{_prefix}/lib/ispell/*

%changelog
* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-14mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxage <pablo@mandrakesoft.com> 1.0-13mdk
- changed Requires: ispell into PreReq

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-12mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-11mdk
- rebuild for new ispell

* Thu Oct 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0-10mdk
- BuilRequires: ispell

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-9mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-8mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-7mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-6mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- changed the name to ispell-fr to standardize naming of ispell files

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- argh, another stupid symlink problem
- I alos made it obsoletes "ispell-french" (name used by Red Hat for the
  same package)

* Tue Nov 16 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- provided compatibility name 'french' (used by LaTeX/LyX)

* Fri Oct 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed permissions problem of /usr/doc/%{name}

* Thu Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- build with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)
- First version for Mandrake.
